Bug 166624 - smp kernel crashes if mkinitrd is not updated
smp kernel crashes if mkinitrd is not updated
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-23 18:48 EDT by Chris Cogdon
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-05 02:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Cogdon 2005-08-23 18:48:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b4) Gecko/20050718 Camino/0.9a2

Description of problem:
if kernel is upgraded to kernel-smp-2.6.12-1.1372_FC3, but the updated mkinitd (to is NOT also upgraded, kernel crashes on boot. The package does not have the proper prereq to insist on an upgrade of mkinitrd.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install basic FC3 system on a SMP box.
2. upgrade kernel to kernel-smp-2.6.12-1.1372_FC3 (and the associated dependencies). do NOT install updated mkinitrd (
3. reboot

Actual Results:  Kernel crashes with 'missing symbols' on boot, in in the initrd stage.

Expected Results:  Kernel boots as normal.

Additional info:

Spec file should be updated to require the updated mkinitrd. Ie, change '%define kernel_prereq' to read: mkinitrd >=

I believe this problem is also present in kernel-smp-2.6.12-1.1387_FC4, but since this has been obsoleted by 1390 and 1398, which have an even HIGHER mkinitrd requirement, the problem is moot for FC4. FC3 should be addressed, though... perhaps just on the next kernel spin.
Comment 1 Dave Jones 2005-08-24 14:16:28 EDT
this is fixed in the kernel in updates-testing.
Will get pushed out to updates-final in a few days

Note You need to log in before you can comment on or make changes to this bug.